<h1 mat-dialog-title>
    Certificato medico di {{socio.nickname}}
    <button mat-icon-button (click)="closeDialog()"><mat-icon>close</mat-icon></button>
</h1>
<mat-dialog-content>
    <div class="dropzone"
         appDropZone
         (hovered)="toggleHover($event)"
         (dropped)="startUpload($event)"
         [class.hovering]="isHovering">
        <div class="file">
            <button mat-raised-button>
                <label class="file-label">
                    <input type="file" class="file-input" (change)="startUpload($event.target.files)">
                    <mat-icon>file_upload</mat-icon>
                    Sfoglia...
                </label>
            </button>
        </div>
    </div>
    <div class="preview">
        <div class="files mat-typography">
            <mat-nav-list dense *ngFor="let file of socio.certificato_file; let i = index">
                <a mat-list-item [href]="file.url" target="_blank">
                    {{file.name}}
                    <mat-icon mat-list-icon>file_download</mat-icon>
                    <button mat-icon-button class="delete-icon" (click)="deleteFile($event, i)"><mat-icon mat-list-icon>delete</mat-icon></button>
                </a>
            </mat-nav-list>
        </div>
        <div *ngIf="percentage | async as pct" class="progress">
            <mat-progress-bar *ngIf="pct < 100" [value]="pct"></mat-progress-bar>
        </div>
    </div>
</mat-dialog-content>
